#!/usr/bin/env bash
gmsh  -3 -format vtk -o sphere.vtk  sphere.geo 
gmsh  -2 -format stl -o sphereBox.stl  sphereBox.geo 
paraview --state=boundarySphere.pvsm 

#IMPORTANT! 
#   Select ResampleWithDataset1
#	-->File -> SaveData -> MergedSphere.vtu 

# Set up problem 


# Gravity problem
#../VTKEdgeGsphere MergedSphere.vtu   2.25  gravity  sphereGrav.vtu
#../FEM4EllipticPDE_bhmag  sphereGrav.vtu  sphereGrav.vtu   sphereOutGrav.vtu 

#paraview --state=sliceSphere.pvsm


# --data=sphereOut.vtu

# even finer meshing
# radius = 4, u = \pm .9              analytic = \pm 1.33

# Finer meshing
# radius = 5, u = \pm 1.65            analytic = \pm 1.67
# radius = 4, u = \pm 1.09            analytic = \pm 1.33

# radius = 5, u = \pm 2.5             analytic = \pm 1.67
# radius = 4, u = \pm 1.66            analytic = \pm 1.33
# radius = 3, u= \pm .926 -.985       analytic = \pm 1
# radius = 2, u = \pm.42              analytic = \pm .667
# for radius=1,  u = \pm .111         analytic = \pm .333 
# for radius=.5, u = \pm .0477 -.0462 analytic = \pm .167
